

start_section:

	i,j, nb_T2, nb_T1: integer;
	min_delay, max_delay, jitter : integer;
	T1_end_time : time_unit array of integer;
	T2_end_time : time_unit array of integer;

	min_delay:=integer'first;
	max_delay:=integer'last;
	jitter:=0; nb:=0; i:=0;
	nb_T1:=0; nb_T2:=0;


event_analyser_section:

	if (events.type = 'end_of_capacity')
		then
			if (events.task_name = 'T1')
				then	
				T1_end_time[nb_T1]:=event_date[current_event];
				nb_T1:=nb_T1+1;
			end if;
			if (events.task_name = 'T2')
				then	
				T2_end_time[nb_T2]:=event_date[current_event];
				nb_T2:=nb_T2+1;
			end if;
	end if;


display_event_analyser_section:

	while (i<nb_T1) and (i<nb_T2) loop
		res:=val(T1_end_time[i]-T2_end_time[i]);
		min_delay:=min(res,min_delay);
		max_delay:=max(res,max_delay);
		i:=i+1;
	end loop;
	jitter:=max_delay-min_delay;		

	put(min_delay);
	put(max_delay);
	put(jitter);		


